<?php

class AbogadoController extends GxController {

public function filters() {
	return array(
			'accessControl', 
			);
}

public function accessRules() {
	return array(
			array('allow', 
				'actions'=>array('index', 'view'),
				'users'=>array('@'),
				),
			array('allow', 
				'actions'=>array('minicreate', 'create', 'update', 'admin', 'delete', 'getAbogados'),
				'users'=>array('@'),
				),
			array('deny', 
				'users'=>array('*'),
				),
			);
}

	public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'Abogado'),
		));
	}

	public function actionCreate() {
		$model = new Abogado;


		if (isset($_POST['Abogado'])) {
			$model->setAttributes($_POST['Abogado']);

			if ($model->save()) {
				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->matricula));
			}
		}

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Abogado');


		if (isset($_POST['Abogado'])) {
			$model->setAttributes($_POST['Abogado']);

			if ($model->save()) {
				$this->redirect(array('view', 'id' => $model->matricula));
			}
		}

		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Abogado')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, Yii::t('app', 'Your request is invalid.'));
	}

	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('Abogado');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new Abogado('search');
		$model->unsetAttributes();

		if (isset($_GET['Abogado']))
			$model->setAttributes($_GET['Abogado']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

	public function actiongetAbogados() {
		$q = 'SELECT matricula, CONCAT("MP.", matricula, " - ", apellido, " ", nombre) AS value FROM abogado
		WHERE CONCAT(apellido, " ",  nombre) LIKE ? OR matricula LIKE ? LIMIT 20';
		$cmd = Yii::app()->db->createCommand($q);
		$result = $cmd->query(array('%' . $_GET['term'] . '%', '%' . $_GET['term'] . '%'));
		$data = array();
		foreach ($result as $row) {
			$data[] = $row;
		}
		echo CJSON::encode($data);
		Yii::app()->end();
	}

}