<?php

class ExpedienteController extends GxController {

public function filters() {
	return array(
			'accessControl', 
			);
}

public function accessRules() {
	return array(
			array('allow', 
				'actions'=>array('index', 'view'),
				'users'=>array('@'),
				),
			array('allow', 
				'actions'=>array('minicreate', 'create', 'update', 'admin', 'delete','getExpediente', 'Partesexp'),
				'users'=>array('@'),
				),
			array('deny', 
				'users'=>array('*'),
				),
			);
}

	public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'Expediente'),
		));
	}

	public function actionCreate() {
		$model = new Expediente;


		if (isset($_POST['Expediente'])) {
			$model->setAttributes($_POST['Expediente']);
			$model->fecha_registro = date('Y-m-d H:i:s');

			if ($model->save()) {
				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->idexpediente));
			}
		}

		$model->fecha_registro = date('Y-m-d');

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Expediente');


		if (isset($_POST['Expediente'])) {
			$model->setAttributes($_POST['Expediente']);

			if ($model->save()) {
				$this->redirect(array('view', 'id' => $model->idexpediente));
			}
		}

		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Expediente')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, Yii::t('app', 'Your request is invalid.'));
	}

	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('Expediente');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new Expediente('search');
		$model->unsetAttributes();

		if (isset($_GET['Expediente']))
			$model->setAttributes($_GET['Expediente']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

	public function actiongetExpediente() {
		$q = 'SELECT idexpediente, expte_mesa_entrada AS value FROM expediente
		WHERE expte_mesa_entrada LIKE ? LIMIT 20';
		$cmd = Yii::app()->db->createCommand($q);
		$result = $cmd->query(array('%' . $_GET['term'] . '%'));
		$data = array();
		foreach ($result as $row) {
			$data[] = $row;
		}
		echo CJSON::encode($data);
		Yii::app()->end();
	}

	public function actionPartesexp($id) {
		$model = $this->loadModel($id, 'Expediente');

		// Eliminar actores y representantes anteriores del expediente
		foreach($model->partes as $parte) {
			if($parte->caracter == 'Actor') {
				foreach($parte->representantes as $representante) {
					$representante->delete();
				}
				$parte->delete();
			}
		}

		if (isset($_POST['id_actores'])) {
			$model->id_actores = $_POST['id_actores'];

			// Agregar nuevos actores y representantes al expediente.
			if(is_array($model->id_actores)) {
				foreach ($model->id_actores as $id_actor => $data) {
					// Agregar parte
					$model_parte = new Parte();
					$model_parte->idexpediente = $id;
					$model_parte->idpersona	   = $id_actor;
					$model_parte->caracter	   = 'Actor';
					$model_parte->save();

					// Agregar representantes
					if(is_array($data)) {
						for($idx = 0; $idx < count($data); $idx = $idx + 2){
 							$model_representante = new Representante();
							$model_representante->idparte	   = $model_parte->idparte;
							$model_representante->matricula	   = $data[$idx];
							//$model_representante->idpersona	   = $id_actor;
							$model_representante->caracter	   = $data[$idx + 1] == 0 ? 'Representante':'Apoderado';
							$model_representante->save();
						}
					}
				}
			}
		}


		// Eliminar demandados y representantes anteriores del expediente
		foreach($model->partes as $parte) {
			if($parte->caracter == 'Demandado') {
				foreach($parte->representantes as $representante) {
					$representante->delete();
				}
				$parte->delete();
			}
		}

		if (isset($_POST['id_demandados'])) {
			$model->id_demandados = $_POST['id_demandados'];

			// Agregar nuevos demandados y representantes al expediente.
			if(is_array($model->id_demandados)) {
				foreach ($model->id_demandados as $id_demandado => $data) {
					// Agregar parte
					$model_parte = new Parte();
					$model_parte->idexpediente = $id;
					$model_parte->idpersona	   = $id_demandado;
					$model_parte->caracter	   = 'Demandado';
					$model_parte->save();

					// Agregar representantes
					if(is_array($data)) {
						for($idx = 0; $idx < count($data); $idx = $idx + 2){
 							$model_representante = new Representante();
							$model_representante->idparte	   = $model_parte->idparte;
							$model_representante->matricula	   = $data[$idx];
							//$model_representante->idpersona	   = $id_demandado;
							$model_representante->caracter	   = $data[$idx + 1] == 0 ? 'Representante':'Apoderado';
							$model_representante->save();
						}
					}
				}
			}
		}

		$this->render('view2', array(
			'model' => $model,
		));
	}

}