<?php

class IncidenciaController extends GxController {

public function filters() {
	return array(
			'accessControl', 
			);
}

public function accessRules() {
	return array(
			array('allow', 
				'actions'=>array('index', 'view'),
				'users'=>array('@'),
				),
			array('allow', 
				'actions'=>array('minicreate', 'create', 'update', 'admin', 'delete'),
				'users'=>array('@'),
				),
			array('deny', 
				'users'=>array('*'),
				),
			);
}

	public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'Incidencia'),
		));
	}

	public function actionCreate() {
		$model = new Incidencia;


		if (isset($_POST['Incidencia'])) {
			$model->setAttributes($_POST['Incidencia']);

			if ($model->save()) {
				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->idincidencia));
			}
		}

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Incidencia');


		if (isset($_POST['Incidencia'])) {
			$model->setAttributes($_POST['Incidencia']);

			if ($model->save()) {
				$this->redirect(array('view', 'id' => $model->idincidencia));
			}
		}
		$model->expte_padre = $this->loadModel($model->idexpediente, 'Expediente')->expte_mesa_entrada;
		$model->expte_hijo  = $this->loadModel($model->id_exp_hijo, 'Expediente')->expte_mesa_entrada;
		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Incidencia')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, Yii::t('app', 'Your request is invalid.'));
	}

	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('Incidencia');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new Incidencia('search');
		$model->unsetAttributes();

		if (isset($_GET['Incidencia']))
			$model->setAttributes($_GET['Incidencia']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

}