<?php

class MovimientoController extends GxController {

public function filters() {
	return array(
			'accessControl', 
			);
}

public function accessRules() {
	return array(
			array('allow', 
				'actions'=>array('index', 'view'),
				'users'=>array('@'),
				),
			array('allow', 
				'actions'=>array('minicreate', 'create', 'update', 'admin', 'delete'),
				'users'=>array('@'),
				),
			array('deny', 
				'users'=>array('*'),
				),
			);
}

	public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'Movimiento'),
		));
	}

	public function actionCreate() {
		$model = new Movimiento;


		if (isset($_POST['Movimiento'])) {
			$model->setAttributes($_POST['Movimiento']);
			$model->operador = Yii::app()->user->Name;
			$model->fecha	 = date('Y-m-d H:i:s');

			if ($model->save()) {
				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->idmovimiento));
			}
		}

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Movimiento');


		if (isset($_POST['Movimiento'])) {
			$model->setAttributes($_POST['Movimiento']);

			if ($model->save()) {
				

				$model->idexpediente0->iddependencia = $model->iddestino;

				$model->idexpediente0->save();

				$this->redirect(array('view', 'id' => $model->idmovimiento));
				
			}
		}

		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Movimiento')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, Yii::t('app', 'Your request is invalid.'));
	}

	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('Movimiento');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new Movimiento('search');
		$model->unsetAttributes();

		if (isset($_GET['Movimiento']))
			$model->setAttributes($_GET['Movimiento']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

}