<?php

class ParteController extends GxController {

public function filters() {
	return array(
			'accessControl', 
			);
}

public function accessRules() {
	return array(
			array('allow', 
				'actions'=>array('index', 'view'),
				'users'=>array('@'),
				),
			array('allow', 
				'actions'=>array('minicreate', 'create', 'update', 'admin', 'delete', 'getPartes'),
				'users'=>array('@'),
				),
			array('deny', 
				'users'=>array('*'),
				),
			);
}

	public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'Parte'),
		));
	}

	public function actionCreate() {
		$model = new Parte;


		if (isset($_POST['Parte'])) {
			$model->setAttributes($_POST['Parte']);

			if ($model->save()) {
				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->idparte));
			}
		}

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Parte');


		if (isset($_POST['Parte'])) {
			$model->setAttributes($_POST['Parte']);

			if ($model->save()) {
				$this->redirect(array('view', 'id' => $model->idparte));
			}
		}

		$model->nro_exp	  = $this->loadModel($model->idexpediente, 'Expediente')->expte_mesa_entrada;
		$model->dni		  = $this->loadModel($model->idpersona, 'Persona')->dni;
		$model->apellido  = $this->loadModel($model->idpersona, 'Persona')->apellido;
		$model->nombre	  = $this->loadModel($model->idpersona, 'Persona')->nombre;
		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Parte')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, Yii::t('app', 'Your request is invalid.'));
	}

	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('Parte');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new Parte('search');
		$model->unsetAttributes();

		if (isset($_GET['Parte']))
			$model->setAttributes($_GET['Parte']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

	// ListadoPartes( NroExp )
	public function actiongetPartes() {
		$q ='SELECT 
				idparte, expte_mesa_entrada, dni, apellido, nombre
			FROM
				parte,
				persona,
				expediente
			WHERE
				parte.idexpediente = expediente.idexpediente
				AND parte.idpersona = persona.idpersona
				AND (CONCAT(apellido, " ",  nombre) LIKE ? OR expte_mesa_entrada LIKE ?) 
				LIMIT 20';

		$cmd = Yii::app()->db->createCommand($q);
		$result = $cmd->query(array('%' . $_GET['term'] . '%', '%' . $_GET['term'] . '%'));
		$data = array();
		foreach ($result as $row) {
			$data[] = ['idparte'=>$row['idparte'],
					   'value'=>'Exp.'.$row['expte_mesa_entrada'].' - '.'DNI.'.$row['dni'].' '.strtoupper($row['apellido']).' '.ucwords(strtolower($row['nombre']))];
		}
		echo CJSON::encode($data);
		Yii::app()->end();
	}

}