<?php

class PersonaController extends GxController {

public function filters() {
	return array(
			'accessControl', 
			);
}

public function accessRules() {
	return array(
			array('allow', 
				'actions'=>array('index', 'view'),
				'users'=>array('@'),
				),
			array('allow', 
				'actions'=>array('minicreate', 'create', 'update', 'admin', 'delete', 'getPersonas'),
				'users'=>array('@'),
				),
			array('deny', 
				'users'=>array('*'),
				),
			);
}

	public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'Persona'),
		));
	}

	public function actionCreate() {
		$model = new Persona;


		if (isset($_POST['Persona'])) {
			$model->setAttributes($_POST['Persona']);

			if ($model->save()) {
				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->idpersona));
			}
		}

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Persona');


		if (isset($_POST['Persona'])) {
			$model->setAttributes($_POST['Persona']);

			if ($model->save()) {
				$this->redirect(array('view', 'id' => $model->idpersona));
			}
		}

		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Persona')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, Yii::t('app', 'Your request is invalid.'));
	}

	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('Persona');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new Persona('search');
		$model->unsetAttributes();

		if (isset($_GET['Persona']))
			$model->setAttributes($_GET['Persona']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

	public function actiongetPersonas() {
		$q = 'SELECT idpersona, dni, apellido, nombre FROM persona
		WHERE CONCAT(apellido, " ",  nombre) LIKE ? OR dni LIKE ? LIMIT 20';
		$cmd = Yii::app()->db->createCommand($q);
		$result = $cmd->query(array('%' . $_GET['term'] . '%', '%' . $_GET['term'] . '%'));
		$data = array();
		foreach ($result as $row) {
			$data[] = ['idpersona'=>$row['idpersona'],
					   'value'=>'DNI.'.$row['dni'].' - '.$row['apellido'].' '.$row['nombre']];
		}
		echo CJSON::encode($data);
		Yii::app()->end();
	}
}