<?php

/**
 * This is the model base class for the table "abogado".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Abogado".
 *
 * Columns in table "abogado" available as properties of the model,
 * followed by relations of table "abogado" available as properties of the model.
 *
 * @property integer $matricula
 * @property string $nombre
 * @property string $apellido
 * @property string $domicilio_constituido
 * @property string $clave
 * @property string $email
 * @property integer $deshabilitada
 * @property integer $cambiar_clave
 *
 * @property Representante[] $representantes
 */
abstract class BaseAbogado extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'abogado';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Abogado|Abogados', $n);
	}

	public static function representingColumn() {
		return 'nombre';
	}

	public function rules() {
		return array(
			array('matricula, nombre, apellido, clave, email, deshabilitada, cambiar_clave', 'required'),
			array('deshabilitada, cambiar_clave', 'numerical', 'integerOnly'=>true),
			array('nombre, apellido', 'length', 'max'=>50),
			array('domicilio_constituido, email', 'length', 'max'=>100),
			array('clave', 'length', 'max'=>20),
			array('domicilio_constituido', 'default', 'setOnEmpty' => true, 'value' => null),
			array('matricula, nombre, apellido, domicilio_constituido, clave, email, deshabilitada, cambiar_clave', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'representantes' => array(self::HAS_MANY, 'Representante', 'matricula'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'matricula' => Yii::t('app', 'Matricula'),
			'nombre' => Yii::t('app', 'Nombre'),
			'apellido' => Yii::t('app', 'Apellido'),
			'domicilio_constituido' => Yii::t('app', 'Domicilio Constituido'),
			'clave' => Yii::t('app', 'Clave'),
			'email' => Yii::t('app', 'Email'),
			'deshabilitada' => Yii::t('app', 'Deshabilitada'),
			'cambiar_clave' => Yii::t('app', 'Cambiar Clave'),
			'representantes' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('matricula', $this->matricula);
		$criteria->compare('nombre', $this->nombre, true);
		$criteria->compare('apellido', $this->apellido, true);
		$criteria->compare('domicilio_constituido', $this->domicilio_constituido, true);
		$criteria->compare('clave', $this->clave, true);
		$criteria->compare('email', $this->email, true);
		$criteria->compare('deshabilitada', $this->deshabilitada);
		$criteria->compare('cambiar_clave', $this->cambiar_clave);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
			'pagination'=>array('pageSize'=>20),
		));
	}
}