<?php

/**
 * This is the model base class for the table "dependencia".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Dependencia".
 *
 * Columns in table "dependencia" available as properties of the model,
 * followed by relations of table "dependencia" available as properties of the model.
 *
 * @property integer $iddependencia
 * @property string $descripcion
 * @property string $juez
 * @property string $secretario1
 * @property string $secretario2
 *
 * @property Expediente[] $expedientes
 * @property Movimiento[] $movimientos
 * @property Movimiento[] $movimientos1
 */
abstract class BaseDependencia extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'dependencia';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Dependencia|Dependencias', $n);
	}

	public static function representingColumn() {
		return 'descripcion';
	}

	public function rules() {
		return array(
			array('descripcion', 'required'),
			array('descripcion, juez, secretario1, secretario2', 'length', 'max'=>100),
			array('juez, secretario1, secretario2', 'default', 'setOnEmpty' => true, 'value' => null),
			array('iddependencia, descripcion, juez, secretario1, secretario2', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'expedientes' => array(self::HAS_MANY, 'Expediente', 'iddependencia'),
			'movimientos' => array(self::HAS_MANY, 'Movimiento', 'idorigen'),
			'movimientos1' => array(self::HAS_MANY, 'Movimiento', 'iddestino'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'iddependencia' => Yii::t('app', 'Iddependencia'),
			'descripcion' => Yii::t('app', 'Descripcion'),
			'juez' => Yii::t('app', 'Juez'),
			'secretario1' => Yii::t('app', 'Secretario1'),
			'secretario2' => Yii::t('app', 'Secretario2'),
			'expedientes' => null,
			'movimientos' => null,
			'movimientos1' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('iddependencia', $this->iddependencia);
		$criteria->compare('descripcion', $this->descripcion, true);
		$criteria->compare('juez', $this->juez, true);
		$criteria->compare('secretario1', $this->secretario1, true);
		$criteria->compare('secretario2', $this->secretario2, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}