<?php

/**
 * This is the model base class for the table "expediente".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Expediente".
 *
 * Columns in table "expediente" available as properties of the model,
 * followed by relations of table "expediente" available as properties of the model.
 *
 * @property integer $idexpediente
 * @property integer $idmateria
 * @property integer $iddependencia
 * @property string $expte_mesa_entrada
 * @property string $fecha_denuncia
 * @property string $fecha_registro
 * @property string $expte_juzgado
 *
 * @property Dependencia $iddependencia0
 * @property Materia $idmateria0
 * @property Incidencia[] $incidencias
 * @property Incidencia[] $incidencias1
 * @property Movimiento[] $movimientos
 * @property Parte[] $partes
 * @property Representante[] $representantes
 */
abstract class BaseExpediente extends GxActiveRecord {

	public $id_actores	  = array();
	public $id_demandados = array();
	
	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'expediente';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Expediente|Expedientes', $n);
	}

	public static function representingColumn() {
		return 'expte_mesa_entrada';
	}

	public function rules() {
		return array(
			array('idmateria, iddependencia, expte_mesa_entrada, fecha_denuncia, fecha_registro', 'required'),
			array('idmateria, iddependencia', 'numerical', 'integerOnly'=>true),
			array('expte_mesa_entrada, expte_juzgado', 'length', 'max'=>15),
			array('expte_juzgado', 'default', 'setOnEmpty' => true, 'value' => null),
			array('idexpediente, idmateria, iddependencia, expte_mesa_entrada, fecha_denuncia, fecha_registro, expte_juzgado, id_actores', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'iddependencia0' => array(self::BELONGS_TO, 'Dependencia'  , 'iddependencia'),
			'idmateria0' 	 => array(self::BELONGS_TO, 'Materia'	   , 'idmateria'),
			'incidencias' 	 => array(self::HAS_MANY  , 'Incidencia'   , 'idexpediente'),
			'incidencias1' 	 => array(self::HAS_MANY  , 'Incidencia'   , 'id_exp_hijo'),
			'movimientos' 	 => array(self::HAS_MANY  , 'Movimiento'   , 'idexpediente'),
			'partes'		 => array(self::HAS_MANY  , 'Parte'		   , 'idexpediente'),

			'partes_actora'    => array(self::HAS_MANY, 'Parte', 'idexpediente', 'condition'=>'partes_actora.caracter="Actor"'),
			'partes_demandada' => array(self::HAS_MANY, 'Parte', 'idexpediente', 'condition'=>'partes_demandada.caracter="Demandado"'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'idexpediente'		 => Yii::t('app', 'Idexpediente'),
			'idmateria'			 => null,
			'iddependencia'		 => null,
			'expte_mesa_entrada' => Yii::t('app', 'Nro.Expte Mesa Entrada'),
			'fecha_denuncia'	 => Yii::t('app', 'Fecha Denuncia'),
			'fecha_registro'	 => Yii::t('app', 'Fecha Registro'),
			'expte_juzgado'		 => Yii::t('app', 'Nro.Expte Juzgado'),
			'iddependencia0'	 => null,
			'idmateria0'		 => null,
			'incidencias'		 => null,
			'incidencias1'		 => null,
			'movimientos'		 => null,
			'partes'			 => null,
			'representantes'	 => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('idexpediente', $this->idexpediente);
		$criteria->compare('idmateria', $this->idmateria);
		$criteria->compare('iddependencia', $this->iddependencia);
		$criteria->compare('expte_mesa_entrada', $this->expte_mesa_entrada, true);
		$criteria->compare('fecha_denuncia', $this->fecha_denuncia, true);
		$criteria->compare('fecha_registro', $this->fecha_registro, true);
		$criteria->compare('expte_juzgado', $this->expte_juzgado, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
			'pagination'=>array('pageSize'=>20),
			'sort'=>array("defaultOrder"=>"fecha_registro DESC"),
		));
	}
}