<?php

/**
 * This is the model base class for the table "incidencia".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Incidencia".
 *
 * Columns in table "incidencia" available as properties of the model,
 * followed by relations of table "incidencia" available as properties of the model.
 *
 * @property integer $idincidencia
 * @property integer $idexpediente
 * @property integer $id_tipo_incidencia
 * @property integer $id_exp_hijo
 *
 * @property Expediente $idexpediente0
 * @property Expediente $idExpHijo
 * @property TipoIncidencia $idTipoIncidencia
 */
abstract class BaseIncidencia extends GxActiveRecord {

	public $expte_padre;
	public $expte_hijo;

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'incidencia';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Incidencia|Incidencias', $n);
	}

	public static function representingColumn() {
		return 'idincidencia';
	}

	public function rules() {
		return array(
			array('idexpediente, id_tipo_incidencia, id_exp_hijo', 'required'),
			array('idexpediente, id_tipo_incidencia, id_exp_hijo', 'numerical', 'integerOnly'=>true),
			array('idincidencia, idexpediente, id_tipo_incidencia, id_exp_hijo', 'safe', 'on'=>'search'),
			array('expte_padre, expte_hijo', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'idexpediente0'	   => array(self::BELONGS_TO, 'Expediente'	  , 'idexpediente'),
			'idExpHijo'		   => array(self::BELONGS_TO, 'Expediente'	  , 'id_exp_hijo'),
			'idTipoIncidencia' => array(self::BELONGS_TO, 'TipoIncidencia', 'id_tipo_incidencia'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'idincidencia'		 => Yii::t('app', 'Idincidencia'),
			'idexpediente' 		 => Yii::t('app', 'Nro.Exp Padre'),
			'id_tipo_incidencia' => null,
			'id_exp_hijo'		 => Yii::t('app', 'Nro.Exp Hijo'),
			'idexpediente0'		 => Yii::t('app', 'Nro.Exp Padre'),
			'idExpHijo'			 => Yii::t('app', 'Nro.Exp Hijo'),
			'idTipoIncidencia'	 => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->with = array('idexpediente0', 'idExpHijo');
		$criteria->together = true;

		$criteria->compare('idincidencia', $this->idincidencia);
		$criteria->compare('idexpediente', $this->idexpediente);
		$criteria->compare('id_tipo_incidencia', $this->id_tipo_incidencia);
		$criteria->compare('id_exp_hijo', $this->id_exp_hijo);

		$criteria->compare( 'idexpediente0.expte_mesa_entrada', $this->expte_padre, true );
		$criteria->compare( 'idExpHijo.expte_mesa_entrada'	  , $this->expte_hijo, true );

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
			'sort'	   => array("defaultOrder"=>"idexpediente0.expte_mesa_entrada"),
		));
	}
}