<?php

/**
 * This is the model base class for the table "movimiento".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Movimiento".
 *
 * Columns in table "movimiento" available as properties of the model,
 * followed by relations of table "movimiento" available as properties of the model.
 *
 * @property integer $idmovimiento
 * @property integer $idexpediente
 * @property integer $id_tipo_movimiento
 * @property integer $idorigen
 * @property integer $iddestino
 * @property string $fecha
 * @property string $observacion
 * @property string $operador
 * @property string $estado
 *
 * @property Dependencia $idorigen0
 * @property Dependencia $iddestino0
 * @property Expediente $idexpediente0
 * @property TipoMovimiento $idTipoMovimiento
 */

abstract class BaseMovimiento extends GxActiveRecord {

	// Atributo para campo de otro modelo ralacionado
	public $expte_mesa_entrada;

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'movimiento';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Movimiento|Movimientos', $n);
	}

	public static function representingColumn() {
		return 'fecha';
	}

	public function rules() {
		return array(
			array('idexpediente, id_tipo_movimiento, idorigen, iddestino, fecha, observacion, operador, estado', 'required'),
			array('idexpediente, id_tipo_movimiento, idorigen, iddestino', 'numerical', 'integerOnly'=>true),
			array('observacion', 'length', 'max'=>300),
			array('operador', 'length', 'max'=>15),
			array('estado', 'length', 'max'=>8),
			array('idmovimiento, idexpediente, id_tipo_movimiento, idorigen, iddestino, fecha, observacion, operador, estado, expte_mesa_entrada', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'idorigen0' => array(self::BELONGS_TO, 'Dependencia', 'idorigen'),
			'iddestino0' => array(self::BELONGS_TO, 'Dependencia', 'iddestino'),
			'idexpediente0' => array(self::BELONGS_TO, 'Expediente', 'idexpediente'),
			'idTipoMovimiento' => array(self::BELONGS_TO, 'TipoMovimiento', 'id_tipo_movimiento'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'idmovimiento' => Yii::t('app', 'Idmovimiento'),
			'idexpediente' => null,
			'id_tipo_movimiento' => null,
			'idorigen' => Yii::t('app', 'Origen'),
			'iddestino' => Yii::t('app', 'Destino'),
			'fecha' => Yii::t('app', 'Fecha'),
			'observacion' => Yii::t('app', 'Observacion'),
			'operador' => Yii::t('app', 'Operador'),
			'estado' => Yii::t('app', 'Estado'),
			'idorigen0' => null,
			'iddestino0' => null,
			'idexpediente0' => null,
			'idTipoMovimiento' => null,
			'expte_mesa_entrada' => Yii::t('app', 'NroExp'),
		);
	}

	public function search() {

		$criteria = new CDbCriteria;
		
		// Relacionamos con el modelo Expediente
		$criteria->with = array( 'idexpediente0' );
		// Agregamos la nueva propiedad para buscar por expte_mesa_entrada
		$criteria->compare('idexpediente0.expte_mesa_entrada', $this->expte_mesa_entrada, true);

		$criteria->compare('idmovimiento', $this->idmovimiento);
		$criteria->compare('idexpediente', $this->idexpediente);
		$criteria->compare('id_tipo_movimiento', $this->id_tipo_movimiento);
		$criteria->compare('idorigen', $this->idorigen);
		$criteria->compare('iddestino', $this->iddestino);
		$criteria->compare('fecha', $this->fecha, true);
		$criteria->compare('observacion', $this->observacion, true);
		$criteria->compare('operador', $this->operador, true);
		$criteria->compare('estado', $this->estado, true);
		
		if(Yii::app()->user->name == 'Familia1') {			
			$criteria->compare('iddestino', 1);
		}
		if(Yii::app()->user->name == 'Familia2') {			
			$criteria->compare('iddestino', 2);
		}
		if(Yii::app()->user->name == 'Familia3') {			
			$criteria->compare('iddestino', 3);
		}
		if(Yii::app()->user->name == 'Violencia1') {			
			$criteria->compare('iddestino', 4);
		}
		if(Yii::app()->user->name == 'Violencia2') {			
			$criteria->compare('iddestino', 5);
		}
		if(Yii::app()->user->name == 'Violencia3') {			
			$criteria->compare('iddestino', 6);
		}
		
		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
			'pagination'=>array('pageSize'=>20),
			'sort'=>array("defaultOrder"=>"fecha DESC"),
		));
	}
}