<?php

/**
 * This is the model base class for the table "parte".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Parte".
 *
 * Columns in table "parte" available as properties of the model,
 * followed by relations of table "parte" available as properties of the model.
 *
 * @property integer $idparte
 * @property integer $idexpediente
 * @property integer $idpersona
 * @property string $caracter
 *
 * @property Expediente $idexpediente0
 * @property Persona $idpersona0
 * @property Representante[] $representantes
 */
abstract class BaseParte extends GxActiveRecord {

	public $nro_exp;
	public $dni;
	public $apellido;
	public $nombre;


	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'parte';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Parte|Partes', $n);
	}

	public static function representingColumn() {
		return 'caracter';
	}

	public function rules() {
		return array(
			array('idexpediente, idpersona, caracter', 'required'),
			array('idexpediente, idpersona', 'numerical', 'integerOnly'=>true),
			array('caracter', 'length', 'max'=>9),
			array('idparte, idexpediente, idpersona, caracter', 'safe', 'on'=>'search'),
			array('nro_exp, dni, apellido, nombre', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'idexpediente0'	 => array(self::BELONGS_TO, 'Expediente'   , 'idexpediente'),
			'idpersona0'	 => array(self::BELONGS_TO, 'Persona'	   , 'idpersona'),
			'representantes' => array(self::HAS_MANY  , 'Representante', 'idparte'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'idparte' => Yii::t('app', 'Idparte'),
			'idexpediente' 	 => null,
			'idpersona' 	 => null,
			'caracter' 		 => Yii::t('app', 'Caracter'),
			'idexpediente0'  => null,
			'idpersona0'	 => null,
			'representantes' => null,

			'nro_exp'		 => Yii::t('app', 'Nro Exp'),
			'dni'			 => Yii::t('app', 'DNI'),
			'apellido'		 => Yii::t('app', 'Apellido'),
			'nombre'		 => Yii::t('app', 'Nombre'),
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->with = array('idexpediente0', 'idpersona0');
		$criteria->together = true;

		$criteria->compare('idparte'	 , $this->idparte);
		$criteria->compare('idexpediente', $this->idexpediente);
		$criteria->compare('idpersona'	 , $this->idpersona);
		$criteria->compare('caracter'	 , $this->caracter, true);

		$criteria->compare( 'idexpediente0.expte_mesa_entrada', $this->nro_exp , true ); 
		$criteria->compare( 'idpersona0.dni'				  , $this->dni	   , true );
		$criteria->compare( 'idpersona0.apellido'			  , $this->apellido, true );
		$criteria->compare( 'idpersona0.nombre'				  , $this->nombre  , true );

		return new CActiveDataProvider($this, array(
			'criteria'  => $criteria,
			'pagination'=>array('pageSize'=>20),
		));
	}
}