<?php

/**
 * This is the model base class for the table "persona".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Persona".
 *
 * Columns in table "persona" available as properties of the model,
 * followed by relations of table "persona" available as properties of the model.
 *
 * @property integer $idpersona
 * @property integer $idprovincia
 * @property integer $dni
 * @property string $nombre
 * @property string $apellido
 * @property string $domicilio
 * @property string $ciudad
 *
 * @property Parte[] $partes
 * @property Provincia $idprovincia0
 */
abstract class BasePersona extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'persona';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Persona|Personas', $n);
	}

	public static function representingColumn() {
		return 'nombre';
	}

	public function rules() {
		return array(
			array('idprovincia', 'required'),
			array('idprovincia, dni', 'numerical', 'integerOnly'=>true),
			array('nombre, apellido', 'length', 'max'=>50),
			array('domicilio, ciudad', 'length', 'max'=>100),
			array('dni, nombre, apellido, domicilio, ciudad', 'default', 'setOnEmpty' => true, 'value' => null),
			array('idpersona, idprovincia, dni, nombre, apellido, domicilio, ciudad', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'partes' => array(self::HAS_MANY, 'Parte', 'idpersona'),
			'idprovincia0' => array(self::BELONGS_TO, 'Provincia', 'idprovincia'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'idpersona' => Yii::t('app', 'Idpersona'),
			'idprovincia' => null,
			'dni' => Yii::t('app', 'Dni'),
			'nombre' => Yii::t('app', 'Nombre'),
			'apellido' => Yii::t('app', 'Apellido'),
			'domicilio' => Yii::t('app', 'Domicilio'),
			'ciudad' => Yii::t('app', 'Ciudad'),
			'partes' => null,
			'idprovincia0' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('idpersona', $this->idpersona);
		$criteria->compare('idprovincia', $this->idprovincia);
		$criteria->compare('dni', $this->dni);
		$criteria->compare('nombre', $this->nombre, true);
		$criteria->compare('apellido', $this->apellido, true);
		$criteria->compare('domicilio', $this->domicilio, true);
		$criteria->compare('ciudad', $this->ciudad, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
			'pagination'=>array('pageSize'=>20),
		));
	}
}