<?php

/**
 * This is the model base class for the table "representante".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Representante".
 *
 * Columns in table "representante" available as properties of the model,
 * followed by relations of table "representante" available as properties of the model.
 *
 * @property integer $idrepresentante
 * @property integer $idparte
 * @property integer $matricula
 * @property string $caracter
 *
 * @property Abogado $matricula0
 * @property Parte $idparte0
 */
abstract class BaseRepresentante extends GxActiveRecord {

	//  NroExp | Matricula | Apellido | Nombre | Caracter | DNI | Apellido | Nombre 
	public $nro_exp;
	public $matricula_rep;
	public $apellido_rep;
	public $nombre_rep;
	public $caracter_rep;
	public $dni;
	public $apellido_pers;
	public $nombre_pers;

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'representante';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Representante|Representantes', $n);
	}

	public static function representingColumn() {
		return 'caracter';
	}

	public function rules() {
		return array(
			array('idparte, matricula, caracter', 'required'),
			array('idparte, matricula', 'numerical', 'integerOnly'=>true),
			array('caracter', 'length', 'max'=>13),
			array('idrepresentante, idparte, matricula, caracter', 'safe', 'on'=>'search'),
			array('nro_exp, matricula_rep, apellido_rep, nombre_rep, caracter_rep, dni, apellido_pers, nombre_pers', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'matricula0' => array(self::BELONGS_TO, 'Abogado', 'matricula'),
			'idparte0' => array(self::BELONGS_TO, 'Parte', 'idparte'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'idrepresentante' => Yii::t('app', 'Idrepresentante'),
			'idparte' => null,
			'matricula' => null,
			'caracter' => Yii::t('app', 'Caracter'),
			'matricula0' => null,
			'idparte0' => null,

			'nro_exp'		=> Yii::t('app', 'Nro Exp'),
			//'matricula_rep' => Yii::t('app', 'Matricula'),
			'apellido_rep'	=> Yii::t('app', 'Apellido Representante'),
			'nombre_rep'	=> Yii::t('app', 'Nombre Representante'),
			'caracter_rep'	=> Yii::t('app', 'Caracter Representante'),
			'dni'			=> Yii::t('app', 'DNI'),
			'apellido_pers' => Yii::t('app', 'Apellido Parte'),
			'nombre_pers' 	=> Yii::t('app', 'Nombre Parte'),
		);
	}

	public function search() {
		$criteria = new CDbCriteria;
		$criteria->with = array('matricula0', 'idparte0', 'idparte0.idexpediente0', 'idparte0.idpersona0');
		$criteria->together = true;


		$criteria->compare('idrepresentante', $this->idrepresentante);
		$criteria->compare('idparte'  , $this->idparte);
		//$criteria->compare('matricula', $this->matricula);
		$criteria->compare('caracter' , $this->caracter, true);

		$criteria->compare( 'idexpediente0.expte_mesa_entrada'		   , $this->nro_exp		 , true ); 
		$criteria->compare( 'matricula0.matricula'					   , $this->matricula_rep, true );
		$criteria->compare( 'matricula0.apellido'					   , $this->apellido_rep , true ); 
		$criteria->compare( 'matricula0.nombre'						   , $this->nombre_rep	 , true );
		$criteria->compare( 't.caracter'				   			   , $this->caracter_rep , true ); 
		$criteria->compare( 'idpersona0.dni'						   , $this->dni			 , true );
		$criteria->compare( 'idpersona0.apellido'					   , $this->apellido_pers, true ); 
		$criteria->compare( 'idpersona0.nombre'						   , $this->nombre_pers	 , true );

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}